import { ExecutionContext, IEntity, IInheritedSchema } from '@essential-projects/core_contracts';
import { Entity, EntityDependencyHelper, IEntityType, IPropertyBag } from '@essential-projects/data_model_contracts';
import { IFlowDefEntity, INodeDefEntity, IProcessDefEntity } from '@process-engine/process_engine_contracts';
export declare class FlowDefEntity extends Entity implements IFlowDefEntity {
    constructor(entityDependencyHelper: EntityDependencyHelper, context: ExecutionContext, schema: IInheritedSchema, propertyBag: IPropertyBag, entityType: IEntityType<IEntity>);
    initialize(): Promise<void>;
    name: string;
    key: string;
    processDef: IProcessDefEntity;
    getProcessDef(context: ExecutionContext): Promise<IProcessDefEntity>;
    source: INodeDefEntity;
    getSource(context: ExecutionContext): Promise<INodeDefEntity>;
    target: INodeDefEntity;
    getTarget(context: ExecutionContext): Promise<INodeDefEntity>;
    condition: string;
    extensions: any;
    counter: number;
    readonly mapper: any;
    private _extractMapper();
}
